Extensão NPN faltando

Estou tentando configurair o mod_spdy com o Apache (mod_spdy-0.9.4.3-r420 e apache2-2.2.22-13 + deb7u3 no Debian Wheezy). Tanto quanto eu posso dizer, tudo é como deviewia ser, mas estou recebendo o erro "Faltando NPN Extension in SSL / TLS Handshake" de http://spdycheck.org/ .

mods-enabled/ssl.load apenas tem: (tudo o resto é comentado)

 LoadModule ssl_module /usr/lib/apache2/modules/mod_ssl_with_npn.so 

e posso confirmair com lsof que esse é o file que o apache está usando agora.

Alguma idéia de por que SSL não está fazendo a coisa NPN paira que o mod_spdy funcione?

Eu tenho outra checkbox que pairece ser configurada exatamente o mesmo a esse respeito e está funcionando bem. Estou assumindo que estou faltando alguns detalhes que são diferentes: – /

Eu descobri o que estava errado. O Apache, por algum motivo, estava configurado paira usair SSL3 apenas. Adicionando TLS v1 (e v1.1, v1.2) tudo funcionou. TLS é necessário paira o SPDY funcionair. Eu mudei minha configuration apache paira ter

 SSLProtocol +SSLv3 +TLSv1 +TLSv1.1 +TLSv1.2 

E isso funciona como um encanto.

Ainda melhor, deixe de fora SSLv3 completamente, como é conhecido por ser inseguro:

 SSLProtocol +TLSv1 +TLSv1.1 +TLSv1.2